Bug 587522 - gnome-volume-control (using pulseaudio) only shows stereo options when 5.1 are available
gnome-volume-control (using pulseaudio) only shows stereo options when 5.1 ar...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 02:48 EDT by Justin Clift
Modified: 2011-06-27 11:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:58:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of profiles shown in gnome-volume-control (42.38 KB, image/png)
2010-04-30 02:48 EDT, Justin Clift
no flags Details

  None (edit)
Description Justin Clift 2010-04-30 02:48:05 EDT
Created attachment 410318 [details]
Screenshot of profiles shown in gnome-volume-control

Description of problem:

Stereo out works, but no option other than stereo is being given.

This is F13 install on a new system with an on board ALC887 chip set.

Chip set is capable of stereo, 5.1, and 7.1 sound.  Aplay (-l and -L) shows the 5.1 and 7.1 devices, however they're not available for selection using gnome-volume-control, which seems to be getting it's device info from pulseaudio.


Version-Release number of selected component (if applicable):

$ rpm -qa | grep pulse
pulseaudio-0.9.21-6.fc13.x86_64
pulseaudio-libs-0.9.21-6.fc13.x86_64
pulseaudio-libs-glib2-0.9.21-6.fc13.x86_64
pulseaudio-gdm-hooks-0.9.21-6.fc13.x86_64
pulseaudio-module-gconf-0.9.21-6.fc13.x86_64
pulseaudio-module-x11-0.9.21-6.fc13.x86_64
pulseaudio-utils-0.9.21-6.fc13.x86_64
pulseaudio-libs-0.9.21-6.fc13.i686
pulseaudio-libs-glib2-0.9.21-6.fc13.i686
alsa-plugins-pulseaudio-1.0.22-1.fc13.i686
alsa-plugins-pulseaudio-1.0.22-1.fc13.x86_64

$ rpm -qa | grep gnome-media
gnome-media-2.30.0-1.fc13.x86_64
gnome-media-libs-2.30.0-1.fc13.x86_64

How reproducible:

Constantly.  This F13 install has been in place for a few weeks through multiple-reboots, and no options other than stereo have ever been displayed. :(


Steps to Reproduce:
1. Log in as a standard user
2. Right click on the gnome volume applet, select "Sound Preferences"
3. Choose "Hardware" tab.  Only one device being displayed.
4. With that device selected, open the list of available profiles in "Settings for the selected device".
  
Actual results:

All profiles listed are only stereo output

Expected results:

All capabilities for this chipset should be displayed, at least up to the level detected by aplay.  Note the output from aplay below, showing 5.1 and 7.0 capabilities:

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC887 Analog [ALC887 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: ALC887 Digital [ALC887 Digital]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
$ aplay -L
default
    Default
front:CARD=Intel,DEV=0
    HDA Intel, ALC887 Analog
    Front speakers
surround40:CARD=Intel,DEV=0
    HDA Intel, ALC887 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=Intel,DEV=0
    HDA Intel, ALC887 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=Intel,DEV=0
    HDA Intel, ALC887 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=Intel,DEV=0
    HDA Intel, ALC887 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=Intel,DEV=0
    HDA Intel, ALC887 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
iec958:CARD=Intel,DEV=0
    HDA Intel, ALC887 Digital
    IEC958 (S/PDIF) Digital Audio Output
$

Additional info:
Comment 1 Lennart Poettering 2010-05-06 18:59:23 EDT
PA detects the profiles available by trying to open them during initialization. That apparently didn't work for you. To find out why, please set "autospawn=no" in ~/.pulse/client.conf and then run "pulseaudio -k ; pulseaudio -vvvvvv" in a terminal. This will start PA and print the debug output. Please attach the output generated here.
Comment 2 Bug Zapper 2011-06-02 10:42:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 11:58:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.